<template>
  <div id="breadcrumb" class="section">
    <div class="container">
      <div class="row">
        <div class="col-md-12">
          <h3 class="breadcrumb-header">Checkout</h3>
          <ul class="breadcrumb-tree">
            <li><a href="#">Home</a></li>
            <li class="active">Checkout</li>
          </ul>
        </div>
      </div>
    </div>
  </div>
  <div class="section">
    <div class="container">
      <div class="row">

        <div class="col-md-7">
          <div class="billing-details">
            <div class="section-title">
              <h3 class="title">Billing address</h3>
            </div>
            <div class="form-group">
              <input class="input" type="text" name="first-name" placeholder="First Name">
            </div>
            <div class="form-group">
              <input class="input" type="text" name="last-name" placeholder="Last Name">
            </div>
            <div class="form-group">
              <input class="input" type="email" name="email" placeholder="Email">
            </div>
            <div class="form-group">
              <input class="input" type="text" name="address" placeholder="Address">
            </div>
            <div class="form-group">
              <input class="input" type="text" name="city" placeholder="City">
            </div>
            <div class="form-group">
              <input class="input" type="text" name="country" placeholder="Country">
            </div>
            <div class="form-group">
              <input class="input" type="text" name="zip-code" placeholder="ZIP Code">
            </div>
            <div class="form-group">
              <input class="input" type="tel" name="tel" placeholder="Telephone">
            </div>
            <div class="form-group">
              <br>
              <router-link to="/login">
                <div class="input-checkbox">
                  <input type="checkbox" id="create-account">
                  <label for="create-account">
                    <span></span>
                    Create Account?
                  </label>
                  <div class="caption">
                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt.</p>
                    <input class="input" type="password" name="password" placeholder="Enter Your Password">
                  </div>
                </div>
              </router-link>
            </div>
          </div>
        </div>

        <div class="col-md-5 order-details">
          <div class="section-title text-center">
            <h3 class="title">Your Order</h3>
          </div>
          <div class="order-summary">
            <div class="order-col">
              <div><strong>PRODUCT</strong></div>
              <div><strong>TOTAL</strong></div>
            </div>
            <div class="order-products">

              <div v-for="p in cartStore" :key="p.id" class="order-col">
                <div>1x {{p.title}}</div>
                <div>${{ p.price }}</div>
              </div>
            </div>
            <div class="order-col">
              <div>Shiping</div>
              <div><strong>FREE</strong></div>
            </div>
            <div class="order-col">
              <div><strong>TOTAL</strong></div>
              <div><strong class="order-total">${{ cartStore[0].price + cartStore[1].price }}</strong></div>
            </div>
          </div>

          <div class="input-checkbox">
            <input type="checkbox" id="terms">
            <label for="terms">
              <span></span>
              I've read and accept the <a href="#">terms & conditions</a>
            </label>
          </div>
          <a href="#" class="primary-btn order-submit">Place order</a>
        </div>
      </div>
    </div>
  </div>

</template>

<script>
export default {
  name: "Checkout",
  data() {
    return {
      cartStore: [
        {
          id: 0,
          title: "Asus TUF GAMING",
          price: 1200,
          img: require("../assets/images/product01.png"),
          sale: true,
        },
        {
          id: 1,
          title: "EarPods 10th generation",
          price: 990,
          img: require("../assets/images/product02.png"),
          sale: true,
        },
      ],
    }
  }
}
</script>

<style scoped>
.input {
  margin-bottom: 20px;
}
label {
  color: #1E1F29 !important;
}
.billing-details {
  margin-bottom: 30px;
}

.shiping-details {
  margin-bottom: 30px;
}

.order-details {
  position: relative;
  padding: 0px 30px 30px;
  border-right: 1px solid #E4E7ED;
  border-left: 1px solid #E4E7ED;
  border-bottom: 1px solid #E4E7ED;
}

.order-details:before {
  content: "";
  position: absolute;
  left: -1px;
  right: -1px;
  top: -15px;
  height: 30px;
  border-top: 1px solid #E4E7ED;
  border-left: 1px solid #E4E7ED;
  border-right: 1px solid #E4E7ED;
}

.order-summary {
  margin: 15px 0px;
}

.order-summary .order-col {
  display: table;
  width: 100%;
}

.order-summary .order-col:after {
  content: "";
  display: block;
  clear: both;
}

.order-summary .order-col>div {
  display: table-cell;
  padding: 10px 0px;
}

.order-summary .order-col>div:first-child {
  width: calc(100% - 150px);
}

.order-summary .order-col>div:last-child {
  width: 150px;
  text-align: right;
}

.order-summary .order-col .order-total {
  font-size: 24px;
  color: #D10024;
}

.order-details .payment-method {
  margin: 30px 0px;
}

.order-details .order-submit {
  display: block;
  margin-top: 30px;
}
</style>